<html layout:decorate="~{layout/main}"
      th:with="pageTitle=#{pageTitle.listUser}">

<th:block layout:fragment="js-view">
    <script src="/js/user/list.js"></script>
    <script src="/js/default/pagination.js"></script>
</th:block>

<th:block layout:fragment="css-view">
    <link href="/css/user/list.css" rel="stylesheet" type="text/css"/>
</th:block>

<div layout:fragment="content">
    <div class="container">
        <div class="card">
            <div class="card-body">
                <form method="get" th:object="${searchForm}">
                    <div class="row ml-auto">
                        <input th:field="*{page}" th:value="1" type="hidden">
                        <div class="col-md-3">
                            <div class="form-group">
                                <label for="searchTerm" th:text="#{userSearch.searchTerm}"></label>
                                <input class="form-control" id="searchTerm" th:field="*{searchTerm}"
                                       th:placeholder="#{user.search.placeholder}"
                                       type="text">
                            </div>
                        </div>

                        <div class="col-md-3">
                            <div class="form-group">
                                <label for="role" th:text="#{userSearch.profile}"></label>
                                <select class="select2" id="role" th:attr="data-placeholder=#{role.all}" th:field="*{role}"
                                        data-allow-clear="true">
                                    <option value=""></option>
                                    <option th:each="role : ${T(felipe.emerim.crimespot.enums.RoleEnum).values()}"
                                            th:text="#{${role.description}}" th:value="${role}"></option>
                                </select>
                            </div>
                        </div>

                        <div class="col-md-3">
                            <div class="form-group">
                                <label for="active" th:text="#{userSearch.status}"></label>
                                <select class="select2" id="active" th:field="*{active}"
                                        data-allow-clear="true"
                                        th:attr="data-placeholder=#{status.all}">
                                    <option value=""></option>
                                    <option th:text="#{userSearch.status.active}" value="true"></option>
                                    <option th:text="#{userSearch.status.inactive}" value="false"></option>
                                </select>
                            </div>
                        </div>

                        <div class="col-md-2 mt-auto">
                            <div class="form-group">
                                <button class="btn btn-secondary d-inline-block" id="search-button"
                                        th:text="#{user.list.search}"
                                        type="submit">
                                    Pesquisar
                                </button>
                            </div>
                        </div>

                    </div>
                </form>

                <div id="no-results-container"
                     class="m-auto" th:if="${users.data.size() == 0}" th:text="#{user.list.noResults}">
                    Nenhum resultado encontrado
                </div>

                <th:block th:each="user : ${users.data}">
                    <div class="callout callout-secondary">
                        <div class="row">
                            <div class="col-md-6">
                                <h5 th:text="${user.username}"></h5>
                            </div>
                            <div class="col-md-6">

                                <div class="float-right">
                                    <button class="btn btn-dark btn-sm btn-toggle-moderator"
                                            data-toggle="tooltip"
                                            sec:authorize="hasAuthority('ROLE_ADMIN')"
                                            th:attr="data-user-id=${user.id},data-active=${user.isModerator()}"
                                            th:if="${user.mainRole.name() != 'ROLE_ADMIN'}"
                                            th:title="${user.isModerator()} ?
                                            #{user.deactivate.moderator} : #{user.activate.moderator}">
                                    <span class="fas "
                                          th:classappend="${user.isModerator()} ? fa-handshake-slash : fa-handshake">
                                    </span>
                                    </button>

                                    <button class="btn btn-danger btn-sm btn-toggle-user"
                                            data-toggle="tooltip"
                                            th:attr="data-user-id=${user.id},data-active=${user.isActive()}"
                                            th:if="${#authentication.principal.user.canToggleUser(user)}"
                                            th:title="${user.isActive()} ? #{user.deactivate} : #{user.activate}">
                                    <span class="fas "
                                          th:classappend="${user.isActive()} ? fa-lock : fa-lock-open"></span>
                                    </button>
                                </div>
                            </div>
                        </div>


                        <div class="row">
                            <div class="col-md-6">
                                <span th:text="|#{user.name}: ${user.name}|"></span>
                            </div>

                            <div class="col-md-6">
                                <span th:text="|#{user.email}: ${user.email}|"></span>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-6">
                                <span th:text="|#{user.dateOfBirth}: ${#temporals.format(user.dateOfBirth, 'dd/MMM/yyyy')}|"></span>
                            </div>

                            <div class="col-md-6">
                                <span th:text="|#{user.cpf}: ${user.cpf}|"></span>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-6">
                                <span th:text="|#{user.searchRadius}: ${user.searchRadius}KM|"></span>
                            </div>

                            <div class="col-md-6">
                                <span th:text="|#{user.role}: #{${user.mainRole.description}}|"></span>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-6">
                                <span th:text="#{user.createdAt}"></span> <span class="local-date-time" th:text="${user.createdAt}"></span>
                            </div>
                            <div class="col-md-6">
                                <span th:text="#{user.updatedAt}"></span> <span class="local-date-time" th:text="${user.updatedAt}"></span>
                            </div>
                        </div>
                    </div>
                </th:block>
            </div>

            <div class="card-footer">
                <th:block th:insert="layout/fragments/pagination ::pagination(${users})"></th:block>
            </div>

        </div>
    </div>

    <div aria-hidden="true" class="modal fade" id="modal-confirm" role="dialog" tabindex="-1">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" th:attr="data-deactivate-text=#{user.deactivate.header},
                    data-activate-text=#{user.activate.header},
                    data-activate-moderator-text=#{user.activate.moderator.header},
                    data-deactivate-moderator-text=#{user.deactivate.moderator.header}"></h5>
                    <button aria-label="Close" class="close" data-dismiss="modal" type="button">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body" th:attr="data-deactivate-text=#{user.deactivate.body},
                     data-activate-text=#{user.activate.body},
                     data-activate-moderator-text=#{user.activate.moderator.body},
                     data-deactivate-moderator-text=#{user.deactivate.moderator.body}">
                    Deseja realmente desativar este usuário?

                </div>
                <div class="modal-footer">
                    <button class="btn btn-secondary" data-dismiss="modal" th:text="#{cancel}" type="button">Cancelar
                    </button>
                    <button class="btn btn-primary confirm-button" th:text="#{confirm}" type="button">Confirmar</button>
                </div>
            </div>
        </div>
    </div>

    <div class="d-none">
        <form action="" id="toggle-user-form" method="post">
            <input name="${_csrf.parameterName}" type="hidden" value="${_csrf.token}"/>
            <input id="user-id" name="userId" type="hidden">
            <input id="origin-url" name="originUrl" type="hidden">
        </form>
    </div>
</div>
</html>